package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.BisAcciMontMapper;
import com.goldenwater.slaj.acci.domain.BisAcciMont;
import com.goldenwater.slaj.acci.service.IBisAcciMontService;

/**
 * 事故月报 服务层实现
 */
@Service
public class BisAcciMontServiceImpl implements IBisAcciMontService {

    @Autowired
    private BisAcciMontMapper bisAcciMontMapper;

    /**
     * 查询事故月报信息
     * @param guid 查询条件
     * @return 事故月报信息
     */
    @Override
    public BisAcciMont selectBisAcciMontByGuid(String guid) {
        return bisAcciMontMapper.selectBisAcciMontByGuid(guid);
    }

    /**
     * 查询事故月报列表
     * @param bisAcciMont 事故月报查询条件
     * @return 事故月报集合
     */
    @Override
    public List<BisAcciMont> selectBisAcciMontList(BisAcciMont bisAcciMont) {
        return bisAcciMontMapper.selectBisAcciMontList(bisAcciMont);
    }

    /**
     * 新增事故月报
     * @param bisAcciMont 事故月报信息
     * @return 影响行数
     */
    @Override
    public int insertBisAcciMont(BisAcciMont bisAcciMont) {
        return bisAcciMontMapper.insertBisAcciMont(bisAcciMont);
    }

    /**
     * 修改事故月报
     * @param bisAcciMont 事故月报信息
     * @return 影响行数
     */
    @Override
    public int updateBisAcciMont(BisAcciMont bisAcciMont) {
        return bisAcciMontMapper.updateBisAcciMont(bisAcciMont);
    }

    /**
     * 删除事故月报
     * @param guid 事故月报主键
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciMontByGuid(String guid) {
        return bisAcciMontMapper.deleteBisAcciMontByGuid(guid);
    }

    /**
     * 批量删除事故月报
     * @param guids 事故月报主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciMontByGuids(String[] guids) {
        return bisAcciMontMapper.deleteBisAcciMontByGuids(guids);
    }
}
